/**
 * Line Chart Controller.
 * This controller sets lineChartConfig, sets in correct scope and passes in usersChartConfig.
 * Sets userChartConfig that is watched in base controller(DefaultChartController).
 */
import lineChartConfig from './lineChart-config';
import DefaultChartController from "../defaultChart-controller";
export default class LineChartController extends DefaultChartController{

    userChartConfig:Highcharts.Options;
    static $inject = ['$scope', '$element'];

    constructor(private $scope, private $element){
        //invoking base controller and passing in lineChart components scope, element and lineChart's configuration.
        super($scope, $element, lineChartConfig);
    }

    getUserChartConfig():Highcharts.Options {
        return this.userChartConfig;
    }
}