
import NwfValidator from '../nwfValidator';

class IsRequiredValidatorController extends NwfValidator {

    static $inject = ['$element', '$i18next'];

    constructor(private $element: ng.IAugmentedJQuery, private $i18next) {
        super($element);
        this.myEl.setAttribute('required', 'required');
        this.emptyMessage = this.emptyMessage || $i18next.t('nwfjs:emptyMessage')
        this.invalidMessage = this.invalidMessage || $i18next.t('nwfjs:isRequiredInvalidMessage');

        this.myEl.addEventListener('change', () => {
            if (this.myEl.tagName == 'SELECT') {
                this.resetCustomValidity();
            }
        });
    }
}

export class IsRequiredValidator {

    static NAME: string = 'isRequired';
    bindToController = {
        emptyMessage: '@?',
        invalidMessage: '@?'
    };
    restrict = 'A';
    controller = IsRequiredValidatorController;
    controllerAs = 'requiredCtrl';
}

// export factory function
export function IsRequiredValidatorFactory(): IsRequiredValidator {
    return new IsRequiredValidator();
}
