import * as filterWidgetTemplate from './filterWidget-template.html';
import FilterWidgetController from './filterWidget-controller';

/**
 * This is the implementation of 'filterWidgetPopover' directive
 *
 * @ngdoc directive
 * @name filterWidget directive
 * @description Implementation of filterWidgetPopover directive that contains filter widget in a popover.
 * @example <nwf-grid-filter-widget params = [{}]></nwf-grid-filter-widget>
 */
export class FilterWidget {

    static NAME: string = 'nwfGridFilterWidget';

    public restrict = 'E';
    public scope = {
        params: '='
    };
    public replace = false;
    public template = filterWidgetTemplate;
    public require = '^nwfGridParamsController';
    public bindToController = true;
    public controllerAs = 'filterWidgetController';
    public controller = FilterWidgetController;
    public link = function (scope, element, attrs, gridParamsController) {
        scope.paramsCtrl = gridParamsController;
    };

    constructor() {

    }

}
// export factory function
export function FilterWidgetFactory(): FilterWidget {
    return new FilterWidget();
}


