export default class SearchController {

    type: string;
    searchVal: string;

    static $inject = ['$scope', '$element', '$i18next'];

    constructor(private $scope, private $element: angular.IAugmentedJQuery, private $i18next) {

    }

    $onInit() {
        var placeholderText = this.$i18next.t("nwfjs:searchPlaceholderText", {type: this.type});

        this.$element.find('.grid-search-input').attr('placeholder', placeholderText);

        this.$scope.$watch('search.searchVal', (newVal, oldVal) => {
            //if newVal exists, or oldVal exist and newVal!=oldVal, then only we set the q parameter.
            if ((newVal || oldVal) && (newVal !== oldVal)) {
                this.setMyValue();
            }
        });
    }

    setMyValue() {
        //When doing a search, I reset the offset back to zero.
        this.$scope.paramsCtrl.params.q = this.searchVal || null;
        this.$scope.paramsCtrl.params.offset = 0;
    }

    /* Simple reset */
    resetInput() {
        this.searchVal = '';
        this.setMyValue();
    }

}
