import * as ng from 'angular';

export default class ProgressIndicatorCtrl {

  steps: Array<Object>;
  currentStepName: string;
  stepData;

  currentStepIdx(): number {
    let i: number = 0;
      for (let i = 0; i < this.steps.length; i++) {
        let step:any = this.steps[i];
        if (step.name == this.currentStepName) {
          return i;
        }
      }

    return -1;
  }

  updateStepDataByCurrentStepIdx(idx: number): void {
    let stepData = [];
    for (let i = 0; i < this.steps.length; i++) {
      let step: any = this.steps[i];
      let isStepComplete = (i < idx);
      let isStepCurrent = (i == idx);

      step.isCurrent = isStepCurrent;
      step.isComplete = isStepComplete;

      stepData[i] = step;
    }
    this.stepData = stepData;
  }

  updateStepData() {
    let idx: number = this.currentStepIdx();
    if (idx >= 0) {
      this.updateStepDataByCurrentStepIdx(idx);
    } else {
      this.updateStepDataByCurrentStepIdx(0);
      console.log("currentStepName:" + this.currentStepName + " is not in steps array.");
    }
  }

  $onChanges(){
    this.updateStepData();
  }
}
