import LeftNavController from './leftnav-controller';

export default class NwfLeftNav {
    static NAME: string = 'nwfLeftNav';
    template = `<nav class="leftnav" role="navigation" ng-class="{ 'is-minimized': $ctrl.isNavMinimized }">
    <ul class="nwf-leftnav-items" ng-mouseover="$ctrl.onItemMouseEnter($event)">
        <li class="nwf-leftnav-toggle-item">
            <a class="nwf-leftnav-toggle-item-link" href="javascript: void(0)" ng-click="$ctrl.toggleNav()" data-netapp-id="leftnav-toggle">

                <nwf-icon icon-class="svg-icon-nav-menu"></nwf-icon>
        
            </a>
        </li>
        <li nwf-left-nav-item item="item" class="nwf-leftnav-item" ng-repeat="item in $ctrl.navData" data-netapp-id="leftnav-item-{{item.label | lowercase}}">
        </li>
    </ul>
    </nav>`;
    controller = LeftNavController;
    bindings = {
        navData: '<'
    };
}
